Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ant
Class Formatter

    java.lang.Object
      net.sourceforge.pmd.ant.Formatter

    public class Formatter

extends java.lang.Object

Constructor Summary
`Formatter()`

Method Summary
`void` | `end(Report errorReport)`
`Renderer` | `getRenderer()`
`boolean` | `isNoOutputSupplied()`
`void` | `setLinePrefix(java.lang.String linePrefix)`
`void` | `setLinkPrefix(java.lang.String linkPrefix)`
`void` | `setShowSuppressed(boolean value)`
`void` | `setToConsole(boolean toConsole)`
`void` | `setToFile(java.io.File toFile)`
`void` | `setType(java.lang.String type)`
`void` | `start(java.lang.String baseDir)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Formatter

    public Formatter()

Method Detail

### setShowSuppressed

    public void setShowSuppressed(boolean value)

### setType

    public void setType(java.lang.String type)

### setLinkPrefix

    public void setLinkPrefix(java.lang.String linkPrefix)

### setToFile

    public void setToFile(java.io.File toFile)

### setToConsole

    public void setToConsole(boolean toConsole)

### setLinePrefix

    public void setLinePrefix(java.lang.String linePrefix)

### getRenderer

    public Renderer getRenderer()

### start

    public void start(java.lang.String baseDir)

### end

    public void end(Report errorReport)

### isNoOutputSupplied

    public boolean isNoOutputSupplied()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.